/**
 * @author diverKon <diverKon@gmail.com>
 * @license http://www.opensource.org/licenses/bsd-license.php
 */
package jp.ne.sakura.kkkon.yamahart;

/**
 *
 */
public class TestLogger implements Logger
{
    public static final String[] aLevel = {
        "TRACE: ", 
        "DEBUG: ", 
        "INFO: ", 
        "WARN: ", 
        "ERROR: ", 
    };

    public void log( int level, final String msg )
    {
        System.out.println( aLevel[level] + msg );
    }

    public void trace( final String msg )
    {
        this.log( Logger.TRACE, msg );
    }
    public void debug( final String msg )
    {
        this.log( Logger.DEBUG, msg );
    }
    public void info( final String msg )
    {
        this.log( Logger.INFO, msg );
    }
    public void warn( final String msg )
    {
        this.log( Logger.WARN, msg );
    }
    public void error( final String msg )
    {
        this.log( Logger.ERROR, msg );
    }

}
