/**
 * @author diverKon <diverKon@gmail.com>
 * @license http://www.opensource.org/licenses/bsd-license.php
 */
package jp.ne.sakura.kkkon.yamahart;

/**
 *
 */
public interface Logger
{
    public final int TRACE = 0;
    public final int DEBUG = 1;
    public final int INFO  = 2;
    public final int WARN  = 3;
    public final int ERROR = 4;

    public void log(int level, final String msg );

    public void trace( final String msg );
    public void debug( final String msg );
    public void info( final String msg );
    public void warn( final String msg );
    public void error( final String msg );

}
