/**
 * @author diverKon <diverKon@gmail.com>
 * @license http://www.opensource.org/licenses/bsd-license.php
 */
package jp.ne.sakura.kkkon.yamahart;

import static org.junit.Assert.*;
import jp.ne.sakura.kkkon.yamahart.ConfigList;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 *
 */
public class ConfigListTest {

	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	/**
	 * Test method for {@link jp.ne.sakura.kkkon.yamahart.ConfigList#parse(java.lang.String)}.
	 */
	@Test
	public void testParse() {

final String str =
"No.   Date       Time     Size    Sects   Comment" + "\r\n" +
"----- ---------- -------- ------- ------- ------------------------------------" + "\r\n" +
"  0   2010/06/19 22:20:10    4621 126/126 " + "\r\n" +
"  0.1 2010/06/15 10:02:10    4604 124/124 " + "\r\n" +
"  0.2 2010/06/14 03:08:45    4579 125/125 " + "\r\n" +
"* 1   2011/12/31 02:30:25    9509 118/118 " + "\r\n" +
"  1.1 2011/12/31 02:13:58    9509 119/119 " + "\r\n" +
"  1.2 2011/11/27 22:30:38    9439 120/120 " + "\r\n" +
"  4   2010/06/13 20:28:47    3896 121/121 " + "\r\n" +
"  4.1 2010/06/13 20:22:44    3869 122/122 " + "\r\n" +
"  4.2 2010/06/13 18:46:45    1505 123/123 " + "\r\n" +
"----- ---------- -------- ------- ------- ------------------------------------" + "\r\n" +
""
;

		ConfigList instance = new ConfigList();
		instance.parse( str );

		//System.out.println( instance.toString() );
	}

}
